<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################

if (!is_user()) {header('Location: /');} //Переадресация гостей
if (!is_admin(array(2,3,4))) {header('Location: /');} //Переадресация пользователей не являющихся админами
//Ещё одна проверка прав (на всякий случай)
if (is_admin(array(2,3,4))) {

$mod_name = 'Админ-панель | Лицензия'; //Имя модуля
require_once(ROOT.'/kernel/kernelhead.php'); //Подключение шапки
echo '<div class="title">'.$mod_name.'</div>'; //Вывод заголовка

switch(filtr($_GET['do']))
{
######################################################
default;

			if($last_version = file_get_contents("http://fportal.tk/version/?do=check"))
            {
               if(_FPTVERS < $last_version)
               {
                  echo'<div class="warning">Доступны новые обновления! Актуальная версия на даннымомент <b>'.$last_version.'</b>!</div>';
                  $upd_down = true;
               }
               if(_FPTVERS == $last_version)
               {
                  echo'<div class="success">Вы используете последнюю версию скрипта!</div>';
               }
            }
echo'';
echo'<hr/>';
//Вывод ссылок
echo '<a class="touch" href="/?mod=system&amp;act=license&amp;do=key_form">Ввести ключ</a>';
if($upd_down == true){echo'<a class="touch" href="/?mod=system&amp;act=license&amp;do=upd_down">Обновить/скачать</a>';}
echo'<a class="touch" href="/?mod=system&amp;act=license&amp;do=support">Поддержка</a>';
echo'<div class="warning">В данный момент большинство в разработке.</div>';
break;




case 'key_form':


//Запрашиваем лицензионный ключ
	
	//Если лицензионный ключ пустой - умираем и начинаем выводить форму
	if(empty($lkey)==1){

//Если не передается ключ - показываем форму
	if(empty($_POST['license_key']))  
{
echo '
<form action="/?mod=system&act=license&do=key_form&amp;newkey=1" method="post">
<p style="text-align:center;">Введите лицензионный ключ:<b>*</b><br />
<input name="license_key" type="text" size="35" readonly/>  
<br/>
<input type="submit" name="submitButton" value="Активировать" /></p>
</form>';
echo'<hr/>';
echo'В данный момент Вы используете демо версию скрипта, она не ограниченна по времени, не урезанная, просто лицензия позволяет снимать копирайт получать обновления.';
}else{


}


}else{
echo'Success';
}
break;



case 'support':
echo'<div class="warning">В данный момент в разработке.</div>';
/*
echo'<form action="" method="post">';
echo'<br/>';
echo'<input type="text" name="" value=""/><br/>';
echo'<br/>';
echo'<textarea name=""></textarea><br/>';
echo'<input type="submit" name="" value="Send"/>';
echo'</form>';

$myCurl = curl_init();
curl_setopt_array($myCurl, array(
    CURLOPT_URL => 'http://target.site.com/form.php',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => http_build_query(array(/*здесь массив параметров запроса*//*))
));
$response = curl_exec($myCurl);
curl_close($myCurl);

echo "Ответ на Ваш запрос: ".$response;*/
break;
######################################################
}
require_once(ROOT.'/kernel/kernelfoot.php'); //Вывод ног
}//Конец проверки прав

?>
